Package groovy.util

# Class ObservableMap.PropertyEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableMap.PropertyEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ObservableMap.MultiPropertyEvent`, `ObservableMap.PropertyAddedEvent`, `ObservableMap.PropertyClearedEvent`, `ObservableMap.PropertyRemovedEvent`, `ObservableMap.PropertyUpdatedEvent`

Enclosing class:
  `ObservableMap`

public abstract static class ObservableMap.PropertyEvent extends PropertyChangeEvent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)`

## Method Summary

Modifier and Type
Method
Description
`ObservableMap.ChangeType`
`getChangeType()`
`int`
`getType()`
`String`
`getTypeAsString()`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyEvent

public PropertyEvent(Object source, String propertyName, Object oldValue, Object newValue, ObservableMap.ChangeType type)

## Method Details

### getType

public int getType()

### getChangeType

public ObservableMap.ChangeType getChangeType()

### getTypeAsString

public String getTypeAsString()